Bug 533828 - Last EOL / Blank Line
Last EOL / Blank Line
Status: CLOSED DUPLICATE of bug 620366
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2009-11-09 08:20 EST by Marcus Moeller
Modified: 2012-08-13 12:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 12:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2009-11-09 08:20:47 EST
Description of problem:
It seems the last eol/blank line is snipped by the config management 

How reproducible:
Add a file with two blank lines at the end and you will see that the client receives a file with only one blank line.

This will cause at least a single line crontab not to work.
Comment 1 Stephan Dühr 2011-04-28 04:55:21 EDT
Just wanted to mention that I found this problem also on Satellite 5.4
Comment 2 Thorsten Scherf 2011-04-28 05:41:08 EDT
can confirm that. Also CR (linebreak) seems to be deleted by satellite 5.3 and 5.4. workaround is to add a last line footer to all config files managed by satellite.
Comment 3 Stephan Dühr 2011-09-08 16:32:33 EDT
Still the same in 5.4.1
But this BZ ist marked with Version 530, what's the correct way to report it for 5.4.1? Create a new BZ and set its Clone of Field to this one?
Comment 4 Clifford Perry 2011-09-09 15:49:12 EDT
If fixed in future this would be fixed in 5.4 . I highly recommend to file support tickets to be associated with this bug report (since none are seen by myself). 

Cliff
Comment 5 Tomas Lestach 2012-08-13 12:35:28 EDT
The issue was resolved within the Satellite 5.4.0 release. Closing as duplicate.

*** This bug has been marked as a duplicate of bug 620366 ***

Note You need to log in before you can comment on or make changes to this bug.